Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class Transform

    java.lang.Object
      org.apache.log4j.helpers.Transform

    public class Transform

extends java.lang.Object

Utility class for transforming strings.

Author:
  Ceki Gülcü, Michael A. McAngus

Constructor Summary
`Transform()`

Method Summary
`static void` | `appendEscapingCDATA(java.lang.StringBuffer buf, java.lang.String str)` Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.
`static java.lang.String` | `escapeTags(java.lang.String input)` This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<', '>' , '&' or '"' characters with respective predefined entity references.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transform

    public Transform()

Method Detail

### escapeTags

    public static java.lang.String escapeTags(java.lang.String input)

  This method takes a string which may contain HTML tags (ie, <b>, <table>, etc) and replaces any '<', '>' , '&' or '"' characters with respective predefined entity references.

  Parameters:
    `input` - The text to be converted.
  Returns:
    The input string with the special characters replaced.

### appendEscapingCDATA

    public static void appendEscapingCDATA(java.lang.StringBuffer buf,
                                           java.lang.String str)

  Ensures that embeded CDEnd strings (]]>) are handled properly within message, NDC and throwable tag text.

  Parameters:
    `buf` - StringBuffer holding the XML data to this point. The initial CDStart () of the CDATA section are the responsibility of the calling method.
    `str` - The String that is inserted into an existing CDATA Section within buf.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.